--[[
-- File: RaidDebuffs_WotLK.lua
-- Author: enderneko (enderneko-dev@outlook.com)
-- File Created: 2022/08/05 16:11:18 +0800
-- Last Modified: 2022/08/05 17:44:48 +0800
--]]

local _, Cell = ...
local F = Cell.funcs

local debuffs = {
    [753] = { -- 阿尔卡冯的宝库
        ["general"] = {
        },
        [1597] = { -- 岩石看守者阿尔卡冯
        },
        [1598] = { -- 风暴看守者埃玛尔隆
        },
        [1599] = { -- 火焰看守者科拉隆
        },
        [1600] = { -- 寒冰看守者图拉旺
        },
    },

    [754] = { -- 纳克萨玛斯
        ["general"] = {
        },
        [1601] = { -- 阿努布雷坎
        },
        [1602] = { -- 黑女巫法琳娜
        },
        [1603] = { -- 迈克斯纳
        },
        [1604] = { -- 药剂师诺斯
        },
        [1605] = { -- 肮脏的希尔盖
        },
        [1606] = { -- 洛欧塞布
        },
        [1607] = { -- 教官拉苏维奥斯
        },
        [1608] = { -- 收割者戈提克
        },
        [1609] = { -- 天启四骑士
        },
        [1610] = { -- 帕奇维克
        },
        [1611] = { -- 格罗布鲁斯
        },
        [1612] = { -- 格拉斯
        },
        [1613] = { -- 塔迪乌斯
        },
        [1614] = { -- 萨菲隆
        },
        [1615] = { -- 克尔苏加德
        },
    },

    [755] = { -- 黑曜石圣殿
        ["general"] = {
        },
        [1616] = { -- 萨塔里奥
        },
    },

    [756] = { -- 永恒之眼
        ["general"] = {
        },
        [1617] = { -- 玛里苟斯
        },
    },

    [759] = { -- 奥杜尔
        ["general"] = {
        },
        [1637] = { -- 烈焰巨兽
        },
        [1638] = { -- 掌炉者伊格尼斯
        },
        [1639] = { -- 锋鳞
        },
        [1640] = { -- XT-002拆解者
        },
        [1641] = { -- 钢铁议会
        },
        [1642] = { -- 科隆加恩
        },
        [1643] = { -- 欧尔莉亚
        },
        [1644] = { -- 霍迪尔
        },
        [1645] = { -- 托里姆
        },
        [1646] = { -- 弗蕾亚
        },
        [1647] = { -- 米米尔隆
        },
        [1648] = { -- 维扎克斯将军
        },
        [1649] = { -- 尤格-萨隆
        },
        [1650] = { -- 观察者奥尔加隆
        },
    },

    [757] = { -- 十字军的试炼
        ["general"] = {
        },
        [1618] = { -- 诺森德猛兽
        },
        [1619] = { -- 加拉克苏斯大王
        },
        [1620] = { -- 联盟的冠军
        },
        [1622] = { -- 瓦格里双子
        },
        [1623] = { -- 阿努巴拉克
        },
    },

    [760] = { -- 奥妮克希亚的巢穴
        ["general"] = {
        },
        [1651] = { -- 奥妮克希亚
        },
    },

    [758] = { -- 冰冠堡垒
        ["general"] = {
        },
        [1624] = { -- 玛洛加尔领主
        },
        [1625] = { -- 亡语者女士
        },
        [1627] = { -- 冰冠冰川炮舰战
        },
        [1628] = { -- 死亡使者萨鲁法尔
        },
        [1629] = { -- 烂肠
        },
        [1630] = { -- 腐面
        },
        [1631] = { -- 普崔塞德教授
        },
        [1632] = { -- 鲜血王子议会
        },
        [1633] = { -- 鲜血女王兰娜瑟尔
        },
        [1634] = { -- 踏梦者瓦莉瑟瑞娅
        },
        [1635] = { -- 辛达苟萨
        },
        [1636] = { -- 巫妖王
        },
    },

    [761] = { -- 红玉圣殿
        ["general"] = {
        },
        [1652] = { -- 海里昂
        },
    },

    [286] = { -- 乌特加德之巅
        ["general"] = {
        },
        [641] = { -- 席瓦拉·索格蕾
        },
        [642] = { -- 戈托克·苍蹄
        },
        [643] = { -- 残忍的斯卡迪
        },
        [644] = { -- 伊米隆国王
        },
    },

    [285] = { -- 乌特加德城堡
        ["general"] = {
        },
        [638] = { -- 凯雷塞斯王子
        },
        [639] = { -- 斯卡瓦尔德和达尔隆
        },
        [640] = { -- 掠夺者因格瓦尔
        },
    },

    [284] = { -- 冠军的试炼
        ["general"] = {
        },
        [834] = { -- 总冠军
        },
        [635] = { -- 纯洁者耶德瑞克
        },
        [636] = { -- 银色神官帕尔崔丝
        },
        [637] = { -- 黑骑士
        },
    },

    [279] = { -- 净化斯坦索姆
        ["general"] = {
        },
        [611] = { -- 肉钩
        },
        [612] = { -- 塑血者沙尔拉姆
        },
        [613] = { -- 时光领主埃博克
        },
        [614] = { -- 玛尔加尼斯
        },
    },

    [274] = { -- 古达克
        ["general"] = {
        },
        [592] = { -- 斯拉德兰
        },
        [593] = { -- 达卡莱巨像
        },
        [594] = { -- 莫拉比
        },
        [596] = { -- 迦尔达拉
        },
    },

    [271] = { -- 安卡赫特：古代王国
        ["general"] = {
        },
        [580] = { -- 纳多克斯长老
        },
        [581] = { -- 塔达拉姆王子
        },
        [582] = { -- 耶戈达·觅影者
        },
        [584] = { -- 传令官沃拉兹
        },
    },

    [277] = { -- 岩石大厅
        ["general"] = {
        },
        [604] = { -- 克莱斯塔卢斯
        },
        [605] = { -- 悲伤圣女
        },
        [606] = { -- 远古法庭
        },
        [607] = { -- 塑铁者斯约尼尔
        },
    },

    [276] = { -- 映像大厅
        ["general"] = {
        },
        [601] = { -- 法瑞克
        },
        [602] = { -- 玛维恩
        },
        [603] = { -- 逃离阿尔萨斯
        },
    },

    [280] = { -- 灵魂洪炉
        ["general"] = {
        },
        [615] = { -- 布隆亚姆
        },
        [616] = { -- 噬魂者
        },
    },

    [283] = { -- 紫罗兰监狱
        ["general"] = {
        },
        [626] = { -- 埃雷克姆
        },
        [627] = { -- 摩拉格
        },
        [628] = { -- 艾库隆
        },
        [629] = { -- 谢沃兹
        },
        [630] = { -- 拉文索尔
        },
        [631] = { -- 湮灭者祖拉玛特
        },
        [632] = { -- 塞安妮苟萨
        },
    },

    [272] = { -- 艾卓-尼鲁布
        ["general"] = {
        },
        [585] = { -- 看门者克里克希尔
        },
        [586] = { -- 哈多诺克斯
        },
        [587] = { -- 阿努巴拉克
        },
    },

    [278] = { -- 萨隆矿坑
        ["general"] = {
        },
        [608] = { -- 熔炉之主加弗斯特
        },
        [609] = { -- 伊克和科瑞克
        },
        [610] = { -- 天灾领主泰兰努斯
        },
    },

    [273] = { -- 达克萨隆要塞
        ["general"] = {
        },
        [588] = { -- 托尔戈
        },
        [589] = { -- 召唤者诺沃斯
        },
        [590] = { -- 暴龙之王爵德
        },
        [591] = { -- 先知萨隆亚
        },
    },

    [275] = { -- 闪电大厅
        ["general"] = {
        },
        [597] = { -- 比亚格里将军
        },
        [598] = { -- 沃尔坎
        },
        [599] = { -- 艾欧纳尔
        },
        [600] = { -- 洛肯
        },
    },

    [281] = { -- 魔枢
        ["general"] = {
        },
        [618] = { -- 大魔导师泰蕾丝塔
        },
        [619] = { -- 阿诺玛鲁斯
        },
        [620] = { -- 塑树者奥莫洛克
        },
        [621] = { -- 克莉斯塔萨
        },
    },

    [282] = { -- 魔环
        ["general"] = {
        },
        [622] = { -- 审讯者达库斯
        },
        [623] = { -- 瓦尔洛斯·云击
        },
        [624] = { -- 法师领主伊洛姆
        },
        [625] = { -- 魔网守护者埃雷苟斯
        },
    },
}

F:LoadBuiltInDebuffs(debuffs)